### Method

# GObject TypeInterface peek_parent

#### Declaration

    GObjectTypeInterface*
    g_type_interface_peek_parent (
      GObjectTypeInterface* g_iface
    )

#### Description

Returns the corresponding `GTypeInterface` structure of the parent type of the instance type to which `g_iface` belongs. This is useful when deriving the implementation of an interface from the parent type and then possibly overriding some methods.

#### Return value

Type: `GTypeInterface`

The corresponding `GTypeInterface` structure of the parent type of the instance type to which `g_iface` belongs, or `NULL` if the parent type doesn’t conform to the interface.

The data is owned by the instance.